Add Suppliers to RFQ

Adds one or more supplier contacts to an RFQ. Returns the full updated list of suppliers. Returns 201 Created.

Requires scope: rfqs:write

Authentication

API_KEYstring
API Key authentication via header

Path parameters

idUUIDRequired
RFQ ID.

Request

This endpoint expects an object.
supplierContactIdslist of UUIDsRequired
IDs of supplier contacts to add. Required, must not be empty.

Response

This endpoint returns a list of objects.
idUUID
Unique identifier for this RFQ supplier record.
businessNamestring
Display name of the supplier business.
contactNamestring
Name of the contact at this supplier.
businessEmailstring
Email address for this supplier contact.
phoneNumberstring
Phone number for this supplier contact.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error